[package]
name = "esp-hexa"
version = "1.0.0"
authors = ["Alejandro Alborno, Vittoria Concetta Pardu, Hervé Lillaz"]
edition = "2021"
resolver = "2"
license = "MIT and Apache-2.0"
readme = "README.md"
description = "A simple dice based game on esp32"
repository = "https://gitlab.com/sal.alborno/alborno_es/-/tree/main/esp32/hexa"
categories = ["Games", "Embedded Development"]
keywords = ["hexa", "dice", "lcd"]
rust-version = "1.66"

[profile.release]
debug = false
opt-level = "s"

[profile.dev]
debug = true
opt-level = "z"

[features]

default = ["std", "hal"]
all = ["std", "nightly", "experimental", "embassy"]
hal = ["esp-idf-hal"]
std = ["alloc", "esp-idf-sys/binstart", "esp-idf-hal?/std"]
alloc = ["esp-idf-hal?/alloc"]
nightly = []
experimental = []
embassy = ["esp-idf-hal?/embassy-sync"]

[dependencies]
esp-idf-sys = { version = "0.33", default-features = false }
esp-idf-hal = { version = "0.42.5", optional = true, default-features = false }
anyhow = "1.0.17"

[build-dependencies]
embuild = "0.31.2"
